curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/validators/balances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validator": {
"validator_identifiers": [
1
]
},
"epoch": 1,
"chain": "mainnet",
"cursor": "",
"page_size": 10
}
'{
"data": [
{
"validator": {
"index": 1,
"public_key": "<string>"
},
"balance": {
"current": "<string>",
"effective": "<string>"
},
"finality": "not_finalized"
}
],
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
},
"paging": {
"next_cursor": "<string>"
}
}Returns the balances for a set of validators at a particular epoch
curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/validators/balances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validator": {
"validator_identifiers": [
1
]
},
"epoch": 1,
"chain": "mainnet",
"cursor": "",
"page_size": 10
}
'{
"data": [
{
"validator": {
"index": 1,
"public_key": "<string>"
},
"balance": {
"current": "<string>",
"effective": "<string>"
},
"finality": "not_finalized"
}
],
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
},
"paging": {
"next_cursor": "<string>"
}
}Free selectors available to all users:
Premium selectors for Scale & Enterprise plans (https://beaconcha.in/pricing):
sub_entity for more specific filtering. Matching is case-insensitive.Note: The set of validators matched by deposit_address and withdrawal selectors is updated once per epoch (~6.4 minutes). Newly deposited validators may take up to one epoch to appear in query results.
Note: The set of validators matched by entity selector is updated once per day.
Show child attributes
x >= 0The Ethereum chain to query.
mainnet, hoodi Cursor value for pagination. See our pagination guide for more details.
The number of items to return per page.
1 <= x <= 10Successful response.
Was this page helpful?